PAM_INFO(3) | Library Functions Manual | PAM_INFO(3)

# NAME

`pam_info` —
display an information message

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`

int
`pam_info`(const pam_handle_t *pamh, const char *fmt, ...);

# DESCRIPTION

The `pam_info`() function displays an informational message through the intermediary of the given PAM context's conversation function.

# RETURN VALUES

The `pam_info`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BUF_ERR`]
  Memory buffer error.
[`PAM_CONV_ERR`]
  Conversation failure.
[`PAM_SYSTEM_ERR`]
  System error.

# SEE ALSO

pam(3), pam_error(3), pam_prompt(3), pam_strerror(3), pam_vinfo(3)

# STANDARDS

The `pam_info`() function is an OpenPAM extension.

# AUTHORS

The `pam_info`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

April 30, 2017 | NetBSD 9.1